<!--
 * @Date: 2022-08-17 16:19:13
 * @LastEditors: JinxChen
 * @LastEditTime: 2023-02-25 16:43:43
 * @FilePath: \TelpoH5FrontendWeb\README.md
 * @description: 项目说明
-->
# telpo-h5-template

## Project setup
```
npm install
```

### Compiles and hot-reloads for development
```
npm run dev
```

### Compiles and minifies for production
```
npm run build
```

### Run your tests
```
npm run test
```

### Lints and fixes files
```
npm run lint
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).

# 本项目为天波H5项目
## 版本号管理
- 版本格式：主版本号.次版本号.修订号
1.主版本号：当你做了不兼容的 API 修改（ 一般项目发生重大功能改变）
2.次版本号：当你做了向下兼容的功能性新增，
3.修订号：当你做了向下兼容的问题修正。
例如:
- V #1.0.0

##git提交为以下类别
- 1.fix 修复 xxx问题
- 2.feat 增加 xxx功能
- 3.docs 文档变更
- 4.style 代码格式(不影响代码运行的变动)
- 5.perf 性能优化
- 提交格式,比如:
-start---------------
- 版本号 v#1.0.0
- 2022.08.06
fix
  - 修改文件名称
    - fix 修复了 xxx问题
...

- 后续可根据项目需要更新或者改进
-end------------------------

## v1.0.0
`2022.8.8`
feat
- 增加 项目基本配置

## v1.0.1
`2022.8.18`
feat
- card-form
    - 增加 一个表单录入页

## v1.0.2
`2022.8.19`
style
- card-form
    - 修改 页面样式

## v1.0.3
`2022.8.19`
feat
- card-form
    - 增加 接口

## v1.0.4
`2022.8.20`
feat
- card-form
    - 增加 保存失败错误提示

## v1.0.5
`2022.8.20`
fix
- card-form
    - 修复 保存iccId参数多出来一个的问题

## v1.0.6
`2022.8.23`
feat
- card-form
    - 增加 亲情号码六个字段

## v1.0.7
`2022.8.24`
feat
- card-form
    - 增加 备注字段

## v1.0.8
`2022.8.25`
feat
- card-form
    - 增加 学校名称字段
    - 修改 学校名称字段最大长度为30

## v1.0.9
`2022.8.30`
feat
- card-form
    - 修复 保存字段错误的问题

## v1.0.10
`2022.8.31`
feat
- card-form
    - 增加 年级/班级下拉选择


## v1.0.11
`2022.9.9`
feat
- card-form
    - 修改 保存接口传参

## v1.0.12
`2022.10.11`
feat
- card-form
    - 修改 班级参数

-------------分割线，以下是2023年的readme----------

## v1.0.13
`2023.2.24`
feat
- package-list
    - 增加 一个话费套餐购买页面



## v1.0.14
`2023.2.24`
feat
- package-home
    - 增加 一个微信授权获取code的首页


## v1.0.15
`2023.2.24`
fix
- package-home
    - 修复 微信网页授权重定向错误的问题

## v1.0.16
`2023.2.24`
fix
- package-home
    - 修复 微信网页获取openId失败的问题

## v1.0.17
`2023.2.24`
feature
- pay-result
    - 增加 一个微信支付结果查询页面


## v1.0.18
`2023.2.24`
feature
- 修复 路由切换页面不刷新的问题



## v1.0.19
`2023.2.25`
fix
- 修复 路由切换页面不刷新的问题

## v1.0.20
`2023.2.25`
fix
- 修复 调起微信支付异常的问题
- 修复 获取imei异常的问题